> ## Documentation Index
> Fetch the complete documentation index at: https://docs.magpipe.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Batch Call

> Get details of a specific batch call campaign including all recipients

Returns the full details of a batch call campaign, including all recipients and their individual call status.

## Body Parameters

<ParamField body="action" type="string" required>
  Must be `get`
</ParamField>

<ParamField body="batch_id" type="string" required>
  UUID of the batch to retrieve.
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X POST "https://api.magpipe.ai/functions/v1/batch-calls" \
    -H "Authorization: Bearer YOUR_API_KEY" \
    -H "Content-Type: application/json" \
    -d '{
      "action": "get",
      "batch_id": "f1e2d3c4-5678-9012-3456-789012345678"
    }'
  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
    "batch": {
      "id": "f1e2d3c4-5678-9012-3456-789012345678",
      "name": "Appointment Reminders",
      "caller_id": "+16045551234",
      "status": "running",
      "send_now": true,
      "total_recipients": 3,
      "completed_count": 1,
      "failed_count": 0,
      "window_start_time": "09:00",
      "window_end_time": "17:00",
      "window_days": [1, 2, 3, 4, 5],
      "reserved_concurrency": 5,
      "created_at": "2024-02-15T09:00:00.000Z",
      "started_at": "2024-02-15T09:00:05.000Z"
    },
    "recipients": [
      {
        "id": "r1-uuid",
        "phone_number": "+14155551234",
        "name": "John Doe",
        "status": "completed",
        "call_record_id": "call-uuid-1",
        "attempted_at": "2024-02-15T09:00:10.000Z",
        "completed_at": "2024-02-15T09:03:45.000Z"
      },
      {
        "id": "r2-uuid",
        "phone_number": "+12125559876",
        "name": "Jane Smith",
        "status": "calling",
        "call_record_id": "call-uuid-2",
        "attempted_at": "2024-02-15T09:04:00.000Z"
      },
      {
        "id": "r3-uuid",
        "phone_number": "+13105557890",
        "name": "Bob Wilson",
        "status": "pending"
      }
    ]
  }
  ```
</ResponseExample>
